/**
 * @brief Test DIAG algorithms.
 * 
 * @author Yunhai Li (liyunhai1016@hotmail.com)
 * 
 * @copyright Copyright (c) 2025, TBPLaS develop team.
 */
#ifndef TBPLAS_TESTS_DIAG_H
#define TBPLAS_TESTS_DIAG_H
namespace tbplas::tests {

void test_diag_bands();
void test_diag_dos();
void test_diag_ldos();
void test_diag_states();
void test_spin();
void test_z2();
void test_berry();
void test_diag_dyn_pol();
void test_diag_ac_cond();

} // namespace tbplas::tests
#endif